Function
countLine
count characters in a line not including \r and \n
countLine(unsigned & count, RecordReader<TStream, TPass> & recordReader)
Include Headers
seqan/stream.h
Parameters

count | The variable to increment Types: unsigned int
recordReader | The RecordReader to read from. Types: RecordReader

Remarks
This function stops on the beginning of the next line, if there is a next line (even though newline characters are not counted)
Works on ANSI EOL and on Unix EOL.
Return Values
0 if there was no error reading
non-zero value on errors, especially EOF_BEFORE_SUCCESS
Types: int, TokenizeResult
Member of
RecordReader
See Also
TokenizeResult
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58